<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:b="http://bootsfaces.net/ui">

<ui:composition template="/arche/arche.xhtml">
    <ui:define name="content">
        <b:panel title="Inscription" col-sm="8" offset-sm="2" collapsible="false">
            <h:form>
                <b:row>
                    <b:column col-md="6"><h:outputLabel value="Informations de connexion"
                                                        style="font-family: Arial, sans-serif; font-size:20px;"/></b:column>
                    <b:column col-md="6"></b:column>
                </b:row>
                <b:row>
                    <b:column col-md="6">
                        <b:inputText value="#{mbUser.ajoutUser.adresseMail}"
                                     placeholder="Adresse e-mail"
                                     required="true">
                            <f:ajax event="keyup" listener="#{mbUser.checkMail()}"
                                    render="email-incription-error valider-inscription"></f:ajax>
                        </b:inputText>
                    </b:column>
                    <b:column col-md="6">
                        <b:inputText value="#{mbUser.ajoutUser.login}"
                                     placeholder="Identifiant"
                                     required="true">
                            <f:ajax event="keyup" listener="#{mbUser.checkLogin()}"
                                    render="login-incription-error valider-inscription"></f:ajax>
                        </b:inputText>
                    </b:column>
                </b:row>
                <b:row>
                    <b:column col-md="6"><b:inputSecret value="#{mbUser.ajoutUser.password}"
                                                        placeholder="Mot de passe"
                                                        required="true"/></b:column>
                    <b:column col-md="6"><b:inputSecret placeholder="Confirmer votre mot de passe"
                                                        required="true"/></b:column>
                </b:row>

                <b:row>
                    <b:column col-md="6"><h:outputLabel value="Informations personnelles"
                                                        style="font-family: Arial, sans-serif; font-size:20px;"
                                                        span="4"/></b:column>
                    <b:column col-md="6"></b:column>
                </b:row>

                <b:row>
                    <b:column col-md="6"><b:inputText value="#{mbUser.ajoutUser.prenom}" placeholder="Prénom"
                                                      required="true"/></b:column>
                    <b:column col-md="6"><b:inputText value="#{mbUser.ajoutUser.nom}" placeholder="Nom"
                                                      required="true"/></b:column>
                </b:row>

                <b:row>
                    <b:dateTimePicker mode="toggle-icon"
                                      show-icon="true"
                                      placeholder="Date de naissance (dd.mm.yyyy)"
                                      value="#{mbUser.ajoutUser.dateDeNaissance}"
                                      required="true" format="DD.MM.YYYY" col-md="6"/>
                </b:row>

                <b:row>
                    <b:column col-md="6"><b:inputText value="#{mbUser.ajoutUser.numTelPortable}"
                                                      placeholder="Numéro de portable"
                                                      required="true"/></b:column>
                    <b:column col-md="6"><b:inputText value="#{mbUser.ajoutUser.numTelFixe}"
                                                      placeholder="Numéro de téléphone"/></b:column>
                </b:row>

                <b:row>
                    <b:inputText value="#{mbUser.ajoutUser.adresse}" placeholder="Adresse"
                                 required="true" col-md="12"/>
                </b:row>

                <b:row>
                    <b:column col-md="4"><b:inputText value="#{mbUser.ajoutUser.codePostal}"
                                                      placeholder="Code Postal"/></b:column>
                    <b:column col-md="8"><b:inputText value="#{mbUser.ajoutUser.ville}" placeholder="Ville"/></b:column>
                </b:row>
                <b:row id="valider-inscription">
                    <b:column>
                        <b:row id="login-incription-error" rendered="#{mbUser.existeLogin}" style="margin-bottom:2px;">
                            <b:label value="* Login déjà utilisé"
                                     style="font-size:13px;" severity="danger"
                                     align="center" col-sm="6" span="4">
                            </b:label>
                        </b:row>
                        <b:row id="email-incription-error" rendered="#{mbUser.existeMail}" style="margin-top:2px;">
                            <b:label value="* Email déjà utilisé"
                                     style="font-size:13px;" severity="danger"
                                     align="center" col-sm="6" span="4">
                            </b:label>
                        </b:row>
                    </b:column>
                    <b:commandButton value="Valider" look="primary" action="#{mbUser.addUser()}" span="2"
                                     offset="10" disabled="#{mbUser.existeMail || mbUser.existeLogin}"/>
                </b:row>
            </h:form>
        </b:panel>
    </ui:define>
</ui:composition>
</html>